# Copyright (c) 2017-2019 The University of Manchester
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from .convert_to_file_core_allocations import ConvertToFileCoreAllocations
from .convert_to_file_machine import ConvertToFileMachine
from .convert_to_file_machine_graph import ConvertToFileMachineGraph
from .convert_to_file_machine_graph_pure_multicast import (
    ConvertToFileMachineGraphPureMulticast)
from .convert_to_file_placement import ConvertToFilePlacement
from .convert_to_memory_multi_cast_routes import ConvertToMemoryMultiCastRoutes
from .convert_to_memory_placements import ConvertToMemoryPlacements
from .create_file_constraints import CreateConstraintsToFile
import os

converter_algorithms_metadata_file = os.path.join(
    os.path.dirname(__file__), "converter_algorithms_metadata.xml")

__all__ = ["ConvertToFileCoreAllocations", "ConvertToFileMachine",
           "ConvertToFileMachineGraph", "ConvertToFilePlacement",
           "ConvertToFileMachineGraphPureMulticast",
           "ConvertToMemoryMultiCastRoutes", "ConvertToMemoryPlacements",
           "CreateConstraintsToFile", "converter_algorithms_metadata_file"]
